<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{6E4DF6FE-43F3-485F-92AB-DC7C67674BA0}</ProjectGuid>
    <RootNamespace>map</RootNamespace>
    <Keyword>ManagedCProj</Keyword>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <CharacterSet>Unicode</CharacterSet>
    <CLRSupport>Pure</CLRSupport>
    <WholeProgramOptimization>true</WholeProgramOptimization>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <CharacterSet>Unicode</CharacterSet>
    <CLRSupport>Pure</CLRSupport>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>10.0.30319.1</_ProjectFileVersion>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(SolutionDir)$(Configuration)\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(Configuration)\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</LinkIncremental>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(SolutionDir)$(Configuration)\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(Configuration)\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">false</LinkIncremental>
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" />
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" />
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>WIN32;_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
    </ClCompile>
    <Link>
      <AdditionalDependencies>
      </AdditionalDependencies>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AssemblyDebug>true</AssemblyDebug>
      <SubSystem>Windows</SubSystem>
      <EntryPointSymbol>main</EntryPointSymbol>
      <TargetMachine>MachineX86</TargetMachine>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <PreprocessorDefinitions>WIN32;NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
    </ClCompile>
    <Link>
      <AdditionalDependencies>
      </AdditionalDependencies>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <EntryPointSymbol>main</EntryPointSymbol>
      <TargetMachine>MachineX86</TargetMachine>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <Reference Include="System">
      <CopyLocalSatelliteAssemblies>true</CopyLocalSatelliteAssemblies>
      <ReferenceOutputAssembly>true</ReferenceOutputAssembly>
    </Reference>
    <Reference Include="System.Data">
      <CopyLocalSatelliteAssemblies>true</CopyLocalSatelliteAssemblies>
      <ReferenceOutputAssembly>true</ReferenceOutputAssembly>
    </Reference>
    <Reference Include="System.Drawing">
      <CopyLocalSatelliteAssemblies>true</CopyLocalSatelliteAssemblies>
      <ReferenceOutputAssembly>true</ReferenceOutputAssembly>
    </Reference>
    <Reference Include="System.Windows.Forms">
      <CopyLocalSatelliteAssemblies>true</CopyLocalSatelliteAssemblies>
      <ReferenceOutputAssembly>true</ReferenceOutputAssembly>
    </Reference>
    <Reference Include="System.Xml">
      <CopyLocalSatelliteAssemblies>true</CopyLocalSatelliteAssemblies>
      <ReferenceOutputAssembly>true</ReferenceOutputAssembly>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="AssemblyInfo.cpp" />
    <ClCompile Include="ByteArray.cpp" />
    <ClCompile Include="CliffTileset.cpp" />
    <ClCompile Include="Doodad.cpp" />
    <ClCompile Include="DoodadsList.cpp" />
    <ClCompile Include="FloatPoint.cpp" />
    <ClCompile Include="HashCountList.cpp" />
    <ClCompile Include="IDList.cpp" />
    <ClCompile Include="map.cpp" />
    <ClCompile Include="MiniMap.cpp" />
    <ClCompile Include="MMPIcon.cpp" />
    <ClCompile Include="module1.cpp" />
    <ClCompile Include="module2.cpp" />
    <ClCompile Include="module3.cpp" />
    <ClCompile Include="module4.cpp" />
    <ClCompile Include="PathMap.cpp" />
    <ClCompile Include="ShadowMap.cpp" />
    <ClCompile Include="stdafx.cpp">
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">Create</PrecompiledHeader>
    </ClCompile>
    <ClCompile Include="StringCountList.cpp" />
    <ClCompile Include="Targa.cpp" />
    <ClCompile Include="TilePoint.cpp" />
    <ClCompile Include="TilePointsTable.cpp" />
    <ClCompile Include="Tileset.cpp" />
    <ClCompile Include="TilesetGroup.cpp" />
    <ClCompile Include="TrigString.cpp" />
    <ClCompile Include="TrigStringTable.cpp" />
    <ClCompile Include="Unit.cpp" />
    <ClCompile Include="UnitsList.cpp" />
    <ClCompile Include="W3Info.cpp" />
    <ClCompile Include="W3ZMapEditDoc.cpp" />
    <ClCompile Include="W3ZMapEditSettings.cpp" />
    <ClCompile Include="W3ZMapEditView.cpp" />
    <ClCompile Include="War3File.cpp" />
    <ClCompile Include="War3FileException.cpp" />
    <ClCompile Include="War3Map.cpp" />
    <ClCompile Include="War3StrID.cpp" />
    <ClCompile Include="AboutDlg.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="AboutDlg.h">
      <FileType>CppForm</FileType>
    </ClInclude>
    <ClInclude Include="ByteArray.h" />
    <ClInclude Include="CliffTileset.h" />
    <ClInclude Include="Doodad.h" />
    <ClInclude Include="DoodadsList.h" />
    <ClInclude Include="FloatPoint.h" />
    <ClInclude Include="Form1.h">
      <FileType>CppForm</FileType>
    </ClInclude>
    <ClInclude Include="HashCountList.h" />
    <ClInclude Include="IDList.h" />
    <ClInclude Include="MiniMap.h" />
    <ClInclude Include="MMPIcon.h" />
    <ClInclude Include="module1.h" />
    <ClInclude Include="module2.h" />
    <ClInclude Include="module3.h" />
    <ClInclude Include="module4.h" />
    <ClInclude Include="myJASSConstants.h" />
    <ClInclude Include="PathMap.h" />
    <ClInclude Include="resource.h" />
    <ClInclude Include="SFmpqapi.h" />
    <ClInclude Include="ShadowMap.h" />
    <ClInclude Include="stdafx.h" />
    <ClInclude Include="StringCountList.h" />
    <ClInclude Include="Targa.h" />
    <ClInclude Include="TilePoint.h" />
    <ClInclude Include="TilePointsTable.h" />
    <ClInclude Include="Tileset.h" />
    <ClInclude Include="TilesetGroup.h" />
    <ClInclude Include="TrigString.h" />
    <ClInclude Include="TrigStringTable.h" />
    <ClInclude Include="Unit.h" />
    <ClInclude Include="UnitsList.h" />
    <ClInclude Include="W3Info.h" />
    <ClInclude Include="W3ZMapEditDoc.h" />
    <ClInclude Include="W3ZMapEditSettings.h" />
    <ClInclude Include="W3ZMapEditView.h" />
    <ClInclude Include="War3ConversionData.h" />
    <ClInclude Include="War3File.h" />
    <ClInclude Include="War3FileException.h" />
    <ClInclude Include="War3Map.h" />
    <ClInclude Include="War3StrID.h" />
    <ClInclude Include="War3TypesAndConstants.h" />
  </ItemGroup>
  <ItemGroup>
    <None Include="_map_config.txt" />
    <None Include="app.ico" />
    <None Include="ReadMe.txt" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="app.rc" />
  </ItemGroup>
  <ItemGroup>
    <Library Include="SFmpq.lib" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="AboutDlg.resx">
      <DependentUpon>AboutDlg.h</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Form1.resX">
      <DependentUpon>Form1.h</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>